petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscHMapTQueryDel

Query and remove a (key,value) entry from the hash table

### Synopsis

    #include <petsc/private/hashmap.h>
    PetscErrorCode PetscHMapTQueryDel(PetscHMapT ht,KeyType key,PetscBool *present)

### Input Parameters

| ht | - The hash table
| key | - The key

### Output Parameter

present -Boolean indicating whether the key was present

### Keywords

hash table, map, query, del

### See Also

PetscHMapTQuerySet(), PetscHMapTDel()

### Level

developer

### Location

include/petsc/private/hashmap.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages